summaryrefslogblamecommitdiffstats
path: root/test
blob: c825493346e8dee6cf35ceb22812ef71a84fcf21 (plain) (tree)
1
2
3
4
5
6
7
8
9







                                                     
              














                                        
                      
 


                                                          



      
                                                                                                                        
 
                                                 
 
 
 

                  
 
              
 
                      
 
                      
 
               
 
                              
 

                     
 
                              
 
                 
 
                   
 
                         
 
                            
 
                               
 
                           




                                                
#!/bin/sh
# See LICENSE file for copyright and license details.

if test $# = 0; then
	if "$0" fail for me; then
		printf 'Testing is broken!\n' >&2
		exit 2
	fi
	set +e
	"$0" $$
	r=$?
	rm -f -- .?-$$.tmp
	exit $r
fi


set -e
test $# = 1
pid=$1
a=.a-$pid.tmp
b=.b-$pid.tmp
PATH="$(dirname -- "$0")/testutil:$PATH"
export PATH

. tests/load-functions

alias t=.
# this is for test development; set to : to skip tests
# have already been written and passed, set to . otherwise


set -v

test -n "${SUPPORTED_OSES}" # This check that the test's environment has set up, if this fails, run through `make check`

(. tests/test-self-check;) >/dev/null 2>/dev/null



t tests/enums
. tests/load-types

t tests/errors

t tests/syscall-ranges

t tests/syscall-errors

t tests/signals

t tests/split-register-classes

. tests/load-archinfo
t tests/archinfo

t tests/fundamental-primitives

t tests/is-struct

t tests/array-types

t tests/fixed-array-types

t tests/split-register-types

t tests/os-dependent-primitives

t tests/os-dependent-arrays



# TODO test libsyscalls_get_syscall
# TODO test libsyscalls_get_syscall_display_info